## chezscheme 9.5+dfsg

=== debian/changelog ===
chezscheme (9.5+dfsg-6) unstable; urgency=medium

  * Remove Built-Using (not needed since policy 4.1.3)
  * Manage the /usr/bin/scheme symlink as an alternative (Closes: #909937)

 -- Göran Weinholt <weinholt@debian.org>  Sun, 30 Sep 2018 13:16:41 +0200

chezscheme (9.5+dfsg-5) unstable; urgency=medium

  * Split -arch/-indep install and build targets to fix FTBFS.
    Thanks to Santiago Vila for the report (Closes: #901104)

 -- Göran Weinholt <weinholt@debian.org>  Sat, 09 Jun 2018 11:23:07 +0200

chezscheme (9.5+dfsg-4) unstable; urgency=medium

  * Fix for insufficiently tested use of boot files in /usr/lib
    (closes: #899062)

 -- Göran Weinholt <weinholt@debian.org>  Sat, 19 May 2018 21:38:45 +0200

chezscheme (9.5+dfsg-3) unstable; urgency=medium

  [ Barak A. Pearlmutter ]
  * update URLs and policy

  [ Göran Weinholt ]
  * Bump to Standards-Version 4.1.4 (no changes)
  * Add Barak A. Pearlmutter to Uploaders. Thanks for sponsoring!
  * Update Maintainer to my @debian.org address
  * -dev: install files in the same location as upstream.
  * -dev: install equates.h and main.o
  * Override lintian warnings for {main,kernel}.o, which are placed in
    upstream's system of arch-specific directories.
  * Double FMTBUFSIZE to fix ftbfs with gcc-8 (closes: #897720).
    Thanks for the report, Matthias Klose.
  * Add chezscheme9.5{,-dev} as a build-dep for armhf when not cross
    compiling.
  * Use boot files from /usr/lib if they are missing in
    boot/<machine-type>, fixing building on buildds (closes: #899062).
    Thanks for the report, Adam Borowski.
  * Drop the armel architecture because it crashes when floating point is
    used (it never worked).

 -- Göran Weinholt <weinholt@debian.org>  Sat, 19 May 2018 10:55:27 +0200

chezscheme (9.5+dfsg-2) unstable; urgency=medium

  [ Barak A. Pearlmutter ]
  * git ignore build DEBris

  [ Göran Weinholt ]
  * Fix from upstream for FTBFS with glibc 2.26 (Closes: #889105).
    Thanks for the report, Jeremy Bicha.
  * Fix duplicated path component in -dev package

 -- Göran Weinholt <goran@weinholt.se>  Fri, 02 Feb 2018 14:05:10 +0100

chezscheme (9.5+dfsg-1) unstable; urgency=medium

  [ Göran Weinholt ]
  * Initial release (closes: #823425).
  * Add support for cross-building from i386/amd64 to armel/armhf.
  * Fix zlib linking in i386 builds.

  [ Barak A. Pearlmutter ]
  * Tell debian/rules that arch i386 is DEB_HOST_GNU_TYPE i686-linux-gnu

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 26 Dec 2017 02:12:19 +0000
