=== debian/control ===
--- 
+++ 
@@ -1,23 +1,25 @@
 Source: chezscheme
 Section: lisp
 Priority: optional
-Maintainer: Göran Weinholt <goran@weinholt.se>
+Maintainer: Göran Weinholt <weinholt@debian.org>
+Uploaders: Barak A. Pearlmutter <bap@debian.org>
 Build-Depends: debhelper (>= 10), dh-exec
 Build-Depends-Arch: zlib1g-dev | libz-dev,
        libncurses5-dev | libncurses-dev | ncurses-dev,
        libx11-dev,
-       r6rs-nanopass-dev
+       r6rs-nanopass-dev,
+       chezscheme9.5 [armhf] <!cross>,
+       chezscheme9.5-dev [armhf] <!cross>
 Build-Depends-Indep: stex <!nodoc>
-Standards-Version: 4.1.2
+Standards-Version: 4.1.4
 Homepage: https://cisco.github.io/ChezScheme/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/chezscheme.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/chezscheme.git
+Vcs-Git: https://salsa.debian.org/debian/chezscheme.git
+Vcs-Browser: https://salsa.debian.org/debian/chezscheme
 
 Package: chezscheme9.5
-Architecture: i386 amd64 armel armhf
+Architecture: i386 amd64 armhf
 Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Built-Using: ${misc:Built-Using}
 Description: Reliable, high performance Scheme compiler (version 9.5)
  Chez Scheme is both a programming language and an implementation of
  that language, with supporting tools and documentation.
@@ -26,7 +28,7 @@
 
 Package: chezscheme9.5-dev
 Section: devel
-Architecture: i386 amd64 armel armhf
+Architecture: i386 amd64 armhf
 Multi-Arch: same
 Depends: chezscheme9.5 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: Reliable, high performance Scheme compiler (C development files)
