=== wininstall/Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
-VERSION := 9.4.1
+VERSION := 9.5.4
 WIXEXTENSIONS := -ext WixUIExtension -ext WixBalExtension
+export MSYS_NO_PATHCONV=1
 
 ChezScheme.exe: x86/bundle.wixobj ChezScheme32.msi ChezScheme64.msi
 	cmd.exe /c light.bat -nologo $(WIXEXTENSIONS) $< -out $@
@@ -21,10 +22,10 @@
 
 .PHONY: workareas
 workareas:
-	cd ..; ./configure -m=a6nt; $(MAKE) -C a6nt/c
-	cd ..; ./configure -m=i3nt; $(MAKE) -C i3nt/c
-	cd ..; ./configure -m=ta6nt; $(MAKE) -C ta6nt/c
-	cd ..; ./configure -m=ti3nt; $(MAKE) -C ti3nt/c
+	cd ..; ./configure -m=a6nt; $(MAKE) -C a6nt
+	cd ..; ./configure -m=i3nt; $(MAKE) -C i3nt
+	cd ..; ./configure -m=ta6nt; $(MAKE) -C ta6nt
+	cd ..; ./configure -m=ti3nt; $(MAKE) -C ti3nt
 
 .PHONY: clean
 clean:
