=== debian/changelog ===
chezscheme (9.5.4+dfsg-4) unstable; urgency=medium

  * chezscheme.postinst: Clean up obsolete versioned alternatives on
    upgrades from buster. Thanks to Andreas Beckmann for the report and
    the patch! (Closes: #986875)

 -- Göran Weinholt <weinholt@debian.org>  Sun, 18 Apr 2021 16:54:30 +0200

chezscheme (9.5.4+dfsg-3) unstable; urgency=medium

  * debian/rules: Only override dh_link if chezscheme is built.
    Thanks to Axel Beckert for the report (Closes: #970507)

 -- Göran Weinholt <weinholt@debian.org>  Thu, 17 Sep 2020 21:27:16 +0200

chezscheme (9.5.4+dfsg-2) unstable; urgency=medium

  * Upload to unstable

 -- Göran Weinholt <weinholt@debian.org>  Tue, 15 Sep 2020 21:18:17 +0200

chezscheme (9.5.4+dfsg-1) experimental; urgency=medium

  [ Göran Weinholt ]
  * New upstream release
  * debian/copyright:
    - Exclude external projects from the repacked tarball.
    - Fix readability, cut redundant NOTICE, new years.
    - Use Expat for debian/, to have one less license.
  * debian/watch: Repack upstream's tarballs
  * debian/gbp.conf: Use new DEP-14 branch names
  * debian/patches: Rebase patches
  * debian/README.source: Updated bootstrap instructions
  * 0005-continuation-repair-for-return-arity-error.patch:
    - Patch from upstream git to fix a crash
  * 0006-make-arm32-return-address-encoding-montonic-w.r.t.-o.patch:
    - Patch from Racket-on-Chez to fix armhf (Closes: #968054)
  * 0007-Add-arm32le-boot-files-missing-in-the-release-tarbal:
    - Adds files for bootstrapping armhf builds
  * debian/control:
    - Add native build-depends on uuid-dev.
    - Add new liblz4 build-dependency.
    - New location for Vcs-{Git,Browser}
  * debian/README.Debian: no longer relevant, deleted
  * Drop the 0001-Dynamically-link-... patch, obsolete
  * debian/rules:
    - Link with -lz & -lz4
    - Fix for cross-compilation
  * Drop the chezschemeX.Y.Z versioning scheme. It was intended to
    allow for packaging of Scheme programs and libraries built with
    Chez, but that did not pan out. The ABI is not stable enough
    for that to be practical.
  * 0007-build-with-marm-on-armhf:
    - Build with -marm on armhf to fix a Thumb-related build error.
  * 0008-Add-usr-share-r6rs-to-the-library-path:
    - New patch to use libraries from /usr/share/r6rs by default.

  [ Helmut Grohne ]
  * Fix FTCBFS: Add missing native build-depends zlib and ncurses.
    (Closes: #967003)

 -- Göran Weinholt <weinholt@debian.org>  Sat, 05 Sep 2020 21:05:13 +0200

chezscheme (9.5.2+dfsg-1) experimental; urgency=low

  * New upstream release
  * debian/copyright: Note non-DFSG files in Files-Excluded
  * debian/watch: Fix the syntax, which was wrong all along
  * debian/gbp.conf: Remove quotes on tags and set upstream-branch
  * debian/control: Add uuid-dev to Build-Depends-Arch
  * Drop xlocale.h and FMTBUFSIZE patches; rebase remaining patches
  * chezscheme.post{inst,rm} should have been chezschemeVER.post{inst,rm}
  * debian/rules: Add {csug,release_notes]/Makefile to the cleanup

 -- Göran Weinholt <weinholt@debian.org>  Sun, 21 Apr 2019 11:46:08 +0200
