=== debian/rules ===
--- 
+++ 
@@ -29,14 +29,11 @@
 endif
 
 # Avoid using /usr/bin/scheme to run stex
-ifeq ($(wildcard /usr/bin/chezscheme),)
-    INSTALLED_CHEZ=/usr/bin/chezscheme9.5
-else
-    # Available since 9.5+dfsg-6
-    INSTALLED_CHEZ=/usr/bin/chezscheme
-endif
+INSTALLED_CHEZ=/usr/bin/chezscheme
 
 LIBDIR=usr/lib/csv$(CHEZ_VERSION)/$(HOST_MACHINE_TYPE)
+
+fix_conf = sed -i -e 's,^ncursesLib=.*,ncursesLib=-lncurses -lz -llz4,g'
 
 %:
 	dh $@
@@ -47,13 +44,19 @@
           cp -r /usr/lib/csv$(CHEZ_VERSION)/$(HOST_MACHINE_TYPE) boot/$(HOST_MACHINE_TYPE); \
           touch boot/$(HOST_MACHINE_TYPE)/.debian-cleanup; \
 	fi
-	CC=$(CC) ./configure --workarea=build -m=$(HOST_MACHINE_TYPE) --installprefix=/usr --temproot=$(shell pwd)/debian/tmp
+	CC=$(CC) ./configure --workarea=build -m=$(HOST_MACHINE_TYPE) --installprefix=/usr --temproot=$(shell pwd)/debian/tmp ZLIB= LZ4=
 else
-	./configure --workarea=crossbuilder --threads --installprefix=/usr --temproot=$(shell pwd)/debian/tmp
+	./configure --workarea=crossbuilder --threads --installprefix=/usr --temproot=$(shell pwd)/debian/tmp ZLIB= LZ4=
+	$(fix_conf) crossbuilder/c/Mf-config
 	make -C crossbuilder
 	./workarea $(HOST_MACHINE_TYPE)
 	mv $(HOST_MACHINE_TYPE) build
+	echo "ncursesLib=-lncurses -lz -llz4" >> build/c/Mf-config
+	echo 'Kernel=$${KernelO}' >> build/c/Mf-config
+	echo 'KernelLinkDeps=$${KernelOLinkDeps}' >> build/c/Mf-config
+	echo 'KernelLinkLibs=$${KernelOLinkLibs}' >> build/c/Mf-config
 endif
+	$(fix_conf) build/c/Mf-config
 	(cd build/s; ln -s ../../s/primdata.ss primdata.ss)
 	cp -a release_notes/ build/
 	cp -a csug/ build/
@@ -75,7 +78,7 @@
 endif
 
 override_dh_auto_build-indep:
-ifneq (,$(filter chezscheme$(CHEZ_VERSION)-doc,$(DOPACKAGES)))
+ifneq (,$(filter chezscheme-doc,$(DOPACKAGES)))
 	make -C build/release_notes Scheme=$(INSTALLED_CHEZ) STEXLIB=/usr/share/stex
 	make -C build/csug Scheme=$(INSTALLED_CHEZ) STEXLIB=/usr/share/stex
 endif
@@ -86,12 +89,12 @@
 else
 	make -C build -f ../crossbuilder/Mf-install m=$(HOST_MACHINE_TYPE)
 endif
-	sed -e 's,^\\fI\(Chez Scheme\)\\fP,chezscheme$(CHEZ_VERSION) \- Chez Scheme,' \
-	    -e 's,^\\fI\(Petite Chez Scheme\)\\fP,petite$(CHEZ_VERSION) \- Petite Chez Scheme,' \
-	    build/scheme.1 > build/chezscheme$(CHEZ_VERSION).1
+	sed -e 's,^\\fI\(Chez Scheme\)\\fP,chezscheme \- Chez Scheme,' \
+	    -e 's,^\\fI\(Petite Chez Scheme\)\\fP,petite \- Petite Chez Scheme,' \
+	    build/scheme.1 > build/chezscheme.1
 
 override_dh_auto_install-indep:
-ifneq (,$(filter chezscheme$(CHEZ_VERSION)-doc,$(DOPACKAGES)))
+ifneq (,$(filter chezscheme-doc,$(DOPACKAGES)))
 	make -C build/release_notes Scheme=$(INSTALLED_CHEZ) STEXLIB=/usr/share/stex INSTALL=../installsh \
 	    installdir=$(shell pwd)/debian/tmp/usr/share/doc/chezscheme-doc/ \
 	    install
@@ -102,26 +105,18 @@
 	ln -sf ../csug.css debian/tmp/usr/share/doc/chezscheme-doc/html/canned/csug.css
 endif
 
+ifneq (,$(filter chezscheme,$(DOPACKAGES)))
 override_dh_link:
-	dh_link $(LIBDIR)/petite.boot $(LIBDIR)/petite$(CHEZ_VERSION).boot \
-	        $(LIBDIR)/scheme.boot $(LIBDIR)/chezscheme$(CHEZ_VERSION).boot \
-	        $(LIBDIR)/scheme.boot $(LIBDIR)/chezscheme.boot \
+	dh_link $(LIBDIR)/scheme.boot $(LIBDIR)/chezscheme.boot \
 	        $(LIBDIR)/scheme.boot $(LIBDIR)/scheme-script.boot \
-	        $(LIBDIR)/scheme.boot $(LIBDIR)/scheme-script$(CHEZ_VERSION).boot \
-	        /usr/share/man/man1/chezscheme$(CHEZ_VERSION).1.gz \
-	        /usr/share/man/man1/petite$(CHEZ_VERSION).1.gz \
-	        /usr/share/man/man1/chezscheme$(CHEZ_VERSION).1.gz \
-	        /usr/share/man/man1/scheme-script$(CHEZ_VERSION).1.gz
-	dh_link -pchezscheme \
-               /usr/bin/chezscheme$(CHEZ_VERSION) usr/bin/chezscheme \
-	       /usr/bin/chezscheme$(CHEZ_VERSION) usr/bin/petite \
-	       /usr/share/man/man1/chezscheme$(CHEZ_VERSION).1.gz \
-	       /usr/share/man/man1/petite.1.gz \
-	       /usr/share/man/man1/chezscheme$(CHEZ_VERSION).1.gz \
-               /usr/share/man/man1/chezscheme.1.gz
+	        /usr/share/man/man1/chezscheme.1.gz \
+	        /usr/share/man/man1/petite.1.gz \
+	        /usr/share/man/man1/chezscheme.1.gz \
+	        /usr/share/man/man1/scheme-script-chez.1.gz
+endif
 
 override_dh_auto_clean:
-	rm -f Makefile
+	rm -f Makefile csug/Makefile release_notes/Makefile
 	dh_auto_clean
 	if [ -f boot/$(HOST_MACHINE_TYPE)/.debian-cleanup ]; then \
 	  rm -rf boot/$(HOST_MACHINE_TYPE); \
@@ -134,4 +129,4 @@
 	dh_installchangelogs LOG
 
 override_dh_installman-arch:
-	dh_installman build/chezscheme$(CHEZ_VERSION).1
+	dh_installman build/chezscheme.1
